package com.ruoyi.project.plant.service;

import java.util.List;
import com.ruoyi.project.plant.domain.TMtActionlist;
import org.apache.poi.xwpf.usermodel.XWPFDocument;
import org.apache.poi.xwpf.usermodel.XWPFParagraph;
import org.apache.poi.xwpf.usermodel.XWPFRun;

/**
 * 装置会议执行Service接口
 *
 * @author ruoyi
 * @date 2020-12-30
 */
public interface ITMtActionlistService
{
    /**
     * 查询装置会议执行
     *
     * @param id 装置会议执行ID
     * @return 装置会议执行
     */
    public TMtActionlist selectTMtActionlistById(Long id);

    /**
     * 查询装置会议执行列表
     *
     * @param tMtActionlist 装置会议执行
     * @return 装置会议执行集合
     */
    public List<TMtActionlist> selectTMtActionlistList(TMtActionlist tMtActionlist);

    /**
     * 查询装置会议执行列表
     *
     * @param tMtActionlist 装置会议执行
     * @return 装置会议执行集合
     */
    public List<TMtActionlist> selectList(TMtActionlist tMtActionlist);

    /**
     * 新增装置会议执行
     *
     * @param tMtActionlist 装置会议执行
     * @return 结果
     */
    public int insertTMtActionlist(TMtActionlist tMtActionlist);

    /**
     * 修改装置会议执行
     *
     * @param tMtActionlist 装置会议执行
     * @return 结果
     */
    public int updateTMtActionlist(TMtActionlist tMtActionlist);

    /**
     * 批量删除装置会议执行
     *
     * @param ids 需要删除的装置会议执行ID
     * @return 结果
     */
    public int deleteTMtActionlistByIds(Long[] ids);

    /**
     * 删除装置会议执行信息
     *
     * @param id 装置会议执行ID
     * @return 结果
     */
    public int deleteTMtActionlistById(Long id);

    void dealActionlist(XWPFDocument doc, XWPFParagraph paragraph, XWPFRun run, Long meetingId);
}
